EDIT - task #10216

Upgrade to Spring 5.x
12/27/2022 02:16 PM - Andreas Miller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 10%
Category: platform Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal

Description

copied from #10055
there is a local feature branch "feature_10216_spring5"

Issues:

e unitils support (could override some classes but it does not work in cdmlib-remote for some reason)
e cdmlib-remote-webapp ClassifiationIT des not work due to failing @RequestMapping resolution
o .json is not mapped correctly as content negotiation via pathExtensions is not sufficiently supported anymore by Spring
>5.2(?), see deprecated method favorPathExtension() in CdmSpringMVCConfig.configureContentNegotiation()
o can be workarounded by adding the .json version to the @RequestMapping, tested for ClassificationListController with
@RequestMapping(value = {"/classification", "/classification.json"})

all other tests are running

Also important:

¢ also decide which spring version to use: #4608 (if not yet solved)

e use the encrypto Passwordencoder in UserService instead of the deprecated one

o required for upgrading to spring-security 5.x

e we may want to further normalize spring config files: #5380

e spring 6 issues copied to #10226

also running TestModelUpdate works, so generally creating the spring5 application context works

check if TaxonNodeByNameComparator is needed as spring bean as it is currently the case

Related issues:

Related to EDIT - task #3408: replace spring-modules-cache by up to date impl...

Blocks EDIT - task #10077: upgrade ehcache to 3.x
Copied from EDIT - task #10055: Updates, upgrades and cleanup 2023
Copied to EDIT - task #10226: Upgrade to Spring 6.x

In Progress
New
New
New

Associated revisions

Revision 2871450 - 12/27/2022 09:15 PM - Andreas Miiller

ref #10216 fix classification test path

History

#1 - 12/27/2022 02:17 PM - Andreas Miiller
- Copied from task #10055: Updates, upgrades and cleanup 2023 added

#2 - 12/27/2022 02:18 PM - Andreas Miiller
https://dev.e-taxonomy.eu/redmine/issues/10055
https://dev.e-taxonomy.eu/redmine/issues/10226

- Blocks task #10077: upgrade ehcache to 3.x added

#3 - 12/27/2022 02:20 PM - Andreas Miiller
- Description updated

#5 - 12/27/2022 03:01 PM - Andreas Miiller
- Description updated

#7 - 12/27/2022 03:31 PM - Andreas Miiller
- Description updated

#8 - 12/27/2022 09:25 PM - Andreas Miiller
- Description updated

#9 - 12/27/2022 09:28 PM - Andreas Miiller

- Description updated

#10 - 12/27/2022 09:47 PM - Andreas Miiller

- Description updated

#11 - 12/27/2022 09:53 PM - Andreas Miiller

- Description updated

#12 - 12/27/2022 10:32 PM - Andreas Miiller

- Description updated

#13 - 12/27/2022 11:32 PM - Andreas Miiller

- Description updated

#14 - 12/29/2022 12:03 PM - Andreas Miiller

- Description updated

#15 - 01/05/2023 06:33 PM - Andreas Miiller
- Tags set to upgrade
- Status changed from New to In Progress

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.44

- % Done changed from 0 to 10

#16 - 01/05/2023 06:33 PM - Andreas Miiller

- Related to task #3408: replace spring-modules-cache by up to date implementation added

#17 - 01/16/2023 10:52 PM - Andreas Miiller

- Copied to task #10226: Upgrade to Spring 6.x added

#18 - 01/16/2023 10:53 PM - Andreas Miiller

- Description updated
